%define name	waproamd
%define version	0.6
%define release %mkrel 6

Name: 	 	%{name}
Summary: 	Roaming daemon for wireless NICs supporting the Linux wireless extensions
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Source1:	waproamd.default.bz2
Patch:		%{name}-0.6-chkconfig.patch.bz2
URL:		http://0pointer.de/lennart/projects/waproamd/
License:	GPL
Group:		System/Configuration/Networking
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libdaemon-devel lynx xml2man

%description
WapRoamD is a roaming daemon for wireless IEEE 802.11 NICs supporting the
Linux wireless extensions. It is intended to configure the WEP keys according
to the networks found.  WapRoamD is intended to be used together with ifplugd.
Whenever an association succeeds, ifplugd detects it and runs further
configuration commands for it.

%prep
%setup -q
%patch -p1
# use interface name autodetection by default
perl -p -i -e 's/wlan0/auto/g' conf/waproamd.conf
bzcat %SOURCE1 > conf/default
chmod 755 conf/default

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sysvinitdir=$RPM_BUILD_ROOT/%_sysconfdir/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE doc/README.* doc/*.css
%{_sbindir}/%name
%config(noreplace) %{_sysconfdir}/init.d/%name
%config(noreplace) %{_sysconfdir}/%name
%{_mandir}/man5/*
%{_mandir}/man8/*

%changelog
* Fri Nov 03 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 0.6-6pclos2007
- Build for PCLinuxOS 2007

